{% import 'snippets/macros.html' as macros -%}

<!DOCTYPE html>
<html lang="fr">
<head>
    <title>{% block title %}Bienvenue sur Kanban{% endblock %}</title>
    <meta charset="utf-8"/>
    {% block css %}
        <link rel="stylesheet" type="text/css"
            href="{{ url_for('static', filename='css/main.css') }}"/>
    {% endblock %}

    {% block javascript %}
    {% endblock %}
</head>

{%- block body_tag -%}
<body>
{%- endblock -%}

<header>
    <div id="site-header">
        {% block site_header %}
        <div id="site-header-left">
            <a href="{{ url_for('homepage.homepage')  }}">Accueil</a>
        </div>
        <h1><a href="{{ url_for('homepage.homepage') }}">Kanban</a></h1>
        <nav id="site-header-right">
            <div>
                {% if current_user %}
                <strong>
                    <a href="{{ url_for('account.settings') }}">
                        {{ current_user.display_name }}
                    </a>
                </strong>
                -
                <a href="{{ url_for('auth.logout') }}">Se déconnecter</a>
                {% else %}
                <a href="{{ url_for('auth.signup') }}">Créer un compte</a>
                {% endif %}
            </div>
        </nav>
        {% endblock %}
    </div>
    <div id="page-header">
        {% block page_header %}
        {% endblock %}
    </div>
</header>

{%- include 'snippets/flash_messages.html' -%}

{%- block content %}
{% endblock -%}

</body>
</html>
